searchData={"content_type":"text/markdown","items":[{"doc":"Documentation for `ElasticsearchEx`.","ref":"ElasticsearchEx.html","title":"ElasticsearchEx","type":"module"},{"doc":"Hello world.","ref":"ElasticsearchEx.html#hello/0","title":"ElasticsearchEx.hello/0","type":"function"},{"doc":"iex> ElasticsearchEx.hello()\n    :world","ref":"ElasticsearchEx.html#hello/0-examples","title":"Examples - ElasticsearchEx.hello/0","type":"function"},{"doc":"Search APIs are used to search and aggregate data stored in Elasticsearch indices and data streams. For an overview and related tutorials, see [The search API](https://www.elastic.co/guide/en/elasticsearch/reference/current/search-your-data.html).\n\nMost search APIs support [multi-target syntax](https://www.elastic.co/guide/en/elasticsearch/reference/current/api-conventions.html#api-multi-index), with the exception of the [explain API](https://www.elastic.co/guide/en/elasticsearch/reference/current/search-explain.html).","ref":"ElasticsearchEx.Api.Search.Core.html","title":"ElasticsearchEx.Api.Search.Core","type":"module"},{"doc":"Returns search hits that match the query defined in the request.\n\n#","ref":"ElasticsearchEx.Api.Search.Core.html#search/2","title":"ElasticsearchEx.Api.Search.Core.search/2","type":"function"},{"doc":"iex> url = Req.new(\n    ...>   url: \"https://localhost:9200/_search\",\n    ...>   auth: {:basic, \"elastic:elastic\"},\n    ...>   connect_options: [transport_opts: [verify: :verify_none]]\n    ...> )\n    ...>\n    ...> ElasticsearchEx.Api.Search.Core.search(%{query: %{match_all: %{}}, size: 1}, url: url)\n    {:ok,\n     %Req.Response{\n       status: 200,\n       headers: %{\n         \"content-type\" => [\"application/json\"],\n         \"transfer-encoding\" => [\"chunked\"],\n         \"x-elastic-product\" => [\"Elasticsearch\"]\n       },\n       body: %{\n         \"_shards\" => %{\n           \"failed\" => 0,\n           \"skipped\" => 0,\n           \"successful\" => 0,\n           \"total\" => 0\n         },\n         \"hits\" => %{\n           \"hits\" => [],\n           \"max_score\" => 0.0,\n           \"total\" => %{\"relation\" => \"eq\", \"value\" => 0}\n         },\n         \"timed_out\" => false,\n         \"took\" => 9\n       },\n       trailers: %{},\n       private: %{}\n     }}","ref":"ElasticsearchEx.Api.Search.Core.html#search/2-examples","title":"Examples - ElasticsearchEx.Api.Search.Core.search/2","type":"function"},{"doc":"# Elasticsearch\n\n`elasticsearch_ex` allows to interact with [Elasticsearch](https://www.elastic.co/guide/en/elasticsearch/reference/current/index.html) cluster.","ref":"readme.html","title":"Elasticsearch","type":"extras"},{"doc":"If [available in Hex](https://hex.pm/docs/publish), the package can be installed\nby adding `elasticsearch_ex` to your list of dependencies in `mix.exs`:\n\n```elixir\ndef deps do\n  [\n    {:elasticsearch_ex, \"~> 0.1.0\"}\n  ]\nend\n```\n\nDocumentation can be found at https://hexdocs.pm/elasticsearch_ex.","ref":"readme.html#installation","title":"Installation - Elasticsearch","type":"extras"},{"doc":"#","ref":"readme.html#usage","title":"Usage - Elasticsearch","type":"extras"},{"doc":"Request:\n```elixir\nurl = Req.new(\n  url: \"https://localhost:9200/_search\",\n  auth: {:basic, \"elastic:elastic\"},\n  connect_options: [transport_opts: [verify: :verify_none]]\n)\n\nElasticsearchEx.Api.Search.Core.search(%{query: %{match_all: %{}}, size: 1}, url: url)\n```\n\nResponse:\n```elixir\n{:ok,\n %Req.Response{\n   status: 200,\n   headers: %{\n     \"content-type\" => [\"application/json\"],\n     \"transfer-encoding\" => [\"chunked\"],\n     \"x-elastic-product\" => [\"Elasticsearch\"]\n   },\n   body: %{\n     \"_shards\" => %{\n       \"failed\" => 0,\n       \"skipped\" => 0,\n       \"successful\" => 0,\n       \"total\" => 0\n     },\n     \"hits\" => %{\n       \"hits\" => [],\n       \"max_score\" => 0.0,\n       \"total\" => %{\"relation\" => \"eq\", \"value\" => 0}\n     },\n     \"timed_out\" => false,\n     \"took\" => 2\n   },\n   trailers: %{},\n   private: %{}\n }}\n```\n\nYou can also change the HTTP method used by specifying the options `http_method: :get` when calling the function `search/2`.\n\n```elixir\nElasticsearchEx.Api.Search.Core.search(%{query: %{match_all: %{}}, size: 1},\n  url: url,\n  http_method: :get\n)\n```","ref":"readme.html#search","title":"Search - Elasticsearch","type":"extras"},{"doc":"# Changelog","ref":"changelog.html","title":"Changelog","type":"extras"},{"doc":"* **New features:**\n  * Added the function `ElasticsearchEx.Api.Search.Core.search/2` to search Elasticsearch ([PR-1](https://github.com/CoreCareinc/elasticsearch_ex/pull/1))","ref":"changelog.html#v0-1-0","title":"v0.1.0 - Changelog","type":"extras"}]}